<template >
  <v-text-field
    v-bind="$attrs"
    v-model="hidden"
    :append-icon="show_pass ? 'mdi-eye' : 'mdi-eye-off'"
    :type="show_pass ? 'text' : 'password'"
    @click:append="show_pass = !show_pass"
  />
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  name: 'HiddenInput',
  props: {
    value: { type: String, required: false }
  },
  data: () => ({
    show_pass: false
  }),
  computed: {
    hidden: {
      get (): string {
        return this.value
      },
      set (v: string) {
        this.$emit('input', v)
      }
    }
  }
})
</script>
